Subject: Re: [PATCHv2 2.6.18-rc1-mm2 1/3] net: UDP-Lite generic support

From: Gerrit Renker <[email-masked]>
Date: Fri, 28 Jul 2006 09:19:55 +0100

Hi David,

thank you very much for taking time to revise the code 
and for the detailed comments.

|  The amount of code duplication is absolutely enormous and
|  totally unnecessary.
You are right. 
So far I thought it better to keep UDP and UDP-Lite separate but an
intelligent code integration does seem the better way.

<snip>
|  It's mostly clerical work, but it will mean that we will have one
|  copy of all this code and as a result we won't even need a config
|  option for UDP-Lite.

I will start with the v4-side and post a small RFC patch to see whether
I got the concepts right. (Due to vacation, this will not before mid/end 
of August.)

Best regards
Gerrit